
Foreman - Feature #2111

Add Foreman configuration values to ENC output

01/07/2013 04:03 AM - Peter Bauer

Status: New   

Priority: Normal   

Assignee:    

Category: External Nodes   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1346995 Red Hat JIRA:  

Pull request:    

Description

To avoid redundant configuration, it would be very useful to have the host information (all NICs, BMC config, the subnet, hostgroups,

...) to the ENC output to have it available in Puppet.

Related issues:

Related to Foreman - Tracker #2409: Networking New

Has duplicate Foreman - Feature #2938: Subnet Parameters Duplicate 08/14/2013

Blocked by Foreman - Refactor #15711: Remove inheritance from classification ... Closed 07/17/2016

History

#1 - 01/09/2013 11:09 PM - Sam Kottler

- Assignee deleted (Ohad Levy)

- Target version set to 1.2.0

#2 - 01/10/2013 05:49 AM - Greg Sutcliffe

I'm not against this, but I think we need to be sure to pick a good namespace, since parameters are global. No good us conflicting with someone

else's module :)

#3 - 05/10/2013 04:08 AM - Dominic Cleal

- Target version deleted (1.2.0)

#4 - 08/14/2013 06:27 PM - Dominic Cleal

- Has duplicate Feature #2938: Subnet Parameters added

#5 - 10/16/2014 05:17 AM - Marek Hulán

- Status changed from New to Assigned

- Assignee set to Marek Hulán

- Target version set to 1.7.2

#6 - 10/16/2014 05:19 AM - Marek Hulán

- Status changed from Assigned to New

- Assignee deleted (Marek Hulán)

- Target version deleted (1.7.2)

reverting, this issue is about more data than just networking info, I'll keep this in mind while working on #2089 so we could easily add more attributes

later

#7 - 07/26/2016 04:55 AM - Marek Hulán

also a Foreman version might be useful
https://projects.theforeman.org/issues/2089


#8 - 07/28/2016 10:05 AM - Marek Hulán

- Target version set to 115

#9 - 08/11/2016 02:12 AM - Marek Hulán

- Bugzilla link set to 1346995

#10 - 08/11/2016 02:15 AM - Marek Hulán

- Blocked by Refactor #15711: Remove inheritance from classification system and move type specific functionality to providers framework. added
